/* OpenVAS-Client
 * $Id$
 * Description: Utility functions that deal with copying/moving/deleting files.
 *
 * Authors:
 * Felix Wolfsteller <felix.wolfsteller@intevation.de>
 *
 * Copyright:
 * Copyright (C) 2009 Greenbone Networks GmbH
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2,
 * or, at your option, any later version as published by the Free
 * Software Foundation
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#ifndef _OPENVAS_FILE_UTILS_H
#define _OPENVAS_FILE_UTILS_H

#include <glib.h>

gboolean file_utils_ensure_dir          (const char* dir);
gboolean file_utils_copy_file           (const gchar* source_file,
                                         const gchar* dest_file);
gboolean file_utils_move_file           (const gchar* source_file,
                                         const gchar* dest_file);
gboolean file_utils_rmdir_rf            (const char* dir);

#endif
