/* OpenVAS-Client
 * $Id$
 * Description: Export ssh public keys with a script to a rpm package that will
                install that user.
 *
 * Authors:
 * Felix Wolfsteller <felix.wolfsteller@intevation.de>
 *
 * Copyright:
 * Copyright (C) 2009 Greenbone Networks GmbH
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2,
 * or, at your option, any later version as published by the Free
 * Software Foundation
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#ifndef _OPENVAS_LSC_USER_RPM_H
#define _OPENVAS_LSC_USER_RPM_H

#include <glib.h>
#ifdef LIBOPENVAS_OLD_INCLUDE_PATH
#include "openvas_ssh_login.h"
#else
#include <openvas/misc/openvas_ssh_login.h>
#endif

gboolean openvas_lsc_user_rpm_create (openvas_ssh_login* loginfo,
                                 const gchar* to_filename);

gchar* openvas_lsc_user_rpm_filename (const char* loginfo);

gboolean openvas_lsc_user_rpm_generator_found ();

#endif /* _OPENVAS_LSC_USER_RPM_H */
